FilterBase (Apache Tomcat 9.0.22 API Documentation)

org.apache.catalina.filters

## Class FilterBase

- java.lang.Object
- - org.apache.catalina.filters.FilterBase

- All Implemented Interfaces:
    Filter
  Direct Known Subclasses:
    AddDefaultCharsetFilter, CsrfPreventionFilterBase, ExpiresFilter, FailedRequestFilter, HttpHeaderSecurityFilter, RemoteCIDRFilter, RequestFilter, SetCharacterEncodingFilter

      public abstract class FilterBase
      extends java.lang.Object
      implements Filter

  Base class for filters that provides generic initialisation and a simple no-op destruction.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static StringManager` | `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Log` | `getLogger()`
    `void` | `init(FilterConfig filterConfig)` Iterates over the configuration parameters and either logs a warning, or throws an exception for any parameter that does not have a matching setter in this filter.
    `protected boolean` | `isConfigProblemFatal()` Determines if an exception when calling a setter or an unknown configuration attribute triggers the failure of the this filter which in turn will prevent the web application from starting.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Filter

      `destroy, doFilter`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

  - ### Constructor Detail

    - #### FilterBase

          public FilterBase()

  - ### Method Detail

    - #### getLogger

          protected abstract Log getLogger()

    - #### init

          public void init(FilterConfig filterConfig)
                    throws ServletException

      Iterates over the configuration parameters and either logs a warning, or throws an exception for any parameter that does not have a matching setter in this filter.
      Specified by:
        `init` in interface `Filter`
      Parameters:
        `filterConfig` - The configuration information associated with the filter instance being initialised
      Throws:
        `ServletException` - if `isConfigProblemFatal()` returns `true` and a configured parameter does not have a matching setter

    - #### isConfigProblemFatal

          protected boolean isConfigProblemFatal()

      Determines if an exception when calling a setter or an unknown configuration attribute triggers the failure of the this filter which in turn will prevent the web application from starting.
      Returns:
        `true` if a problem should trigger the failure of this filter, else `false`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.